%define	name	elementary
%define version 20131105
%define release %mkrel 1
%define realversion 1.7.9

%define major	1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Basic widget set that is easy to use based on EFL for mobile touch-screen devices
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://www.enlightenment.org/
Source: 	%{name}-%{realversion}.tar.xz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
# Common
BuildRequires:	doxygen
BuildRequires:	keyutils-devel
# Enlightenment BR
BuildRequires:	eina-devel
BuildRequires: 	eet-devel
BuildRequires:  evas-devel
BuildRequires:	ecore-devel
BuildRequires:	efreet-devel
BuildRequires:	embryo-devel
BuildRequires:	edje-devel
BuildRequires:	emotion-devel


%description
a basic widget set that is easy to use based on EFL for mobile
touch-screen devices

This package is part of the Enlightenment DR17 desktop shell.

%package devel
Summary: Headers and development libraries from %{name}
Group: Development/Libraries
Requires: %name = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description devel
%{name} development headers and libraries.

%prep
%setup -q -n %name-%realversion

%build
%configure2_5x --disable-static

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

find %{buildroot} -name '*.la' | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/%{name}_run
%{_bindir}/elementary_quicklaunch
%{_bindir}/elementary_testql
%{_bindir}/elementary_test
%{_datadir}/applications/%{name}_test.desktop
%{_datadir}/%name/images/*
%{_datadir}/%name/themes/default.edj
%{_datadir}/%name/objects/test.edj
%{_iconsdir}/%name.png
%{_libdir}/*.so.%{major}*
%{_libdir}/elementary/modules/test_entry/linux-*/module.so
%{_bindir}/elementary_config
%{_libdir}/edje
%{_datadir}/applications/elementary_config.desktop
%{_datadir}/elementary/config/default/icon.png
%{_datadir}/elementary/config/default/profile.desktop
%{_datadir}/elementary/config/default/base.cfg
%{_datadir}/elementary/config/mobile/base.cfg
%{_datadir}/elementary/config/mobile/icon.png
%{_datadir}/elementary/config/mobile/profile.desktop

%{_datadir}/elementary/config/profile.cfg
%{_datadir}/elementary/config/standard/base.cfg
%{_datadir}/elementary/config/standard/icon.png
%{_datadir}/elementary/config/standard/profile.desktop
%{_datadir}/elementary/edje_externals/icons.edj
%{_datadir}/elementary/objects/multip.edj
%{_datadir}/elementary/objects/cursors.edj
%{_datadir}/elementary/objects/font_preview.edj
%{_datadir}/elementary/themes/default-desktop.edj
%{_libdir}/elementary/modules/access_output/linux-*/module.so
%{_libdir}/elementary/modules/test_map/linux-gnu-*/module.so
%{_datadir}/elementary/objects/postit_ent.edj
%{_datadir}/locale/*/LC_MESSAGES/elementary.mo
%{_datadir}/elementary/objects/multibuttonentry.edj
%{_libdir}/elementary/modules/datetime_input_ctxpopup/*/module.so

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_includedir}


%changelog
* Tue Nov 05 2013 Texstar <texstar at gmail.com> 20131105-1pclos2013
- 1.7.9
